View Issue Details

IDProjectCategoryView StatusLast Update
0004961Talerauditorpublic2018-04-15 20:34
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0004961: check that aggregation records exist for deposits past payment deadline
DescriptionCurrently, the auditor does not check that aggregation records exist for deposits past their payment deadline (or that there was a full refund and thus there is no need for the deposit to appear in any aggregation).

We check that all deposits are fine, and that all aggregations are supported by deposits, but not that the exchange actually bothered to run the aggregator. So basically an exchange where the aggergator is off would be certified as OK. (Which is true in the sense of it not being bankrupt, but...).

We might want to do this as a separate tool from the main aggregator, especially as this is not about financial risk.

Note that at the time that the auditor checks a deposit right now, the aggregation may not have applied, so this needs to be done as a separate pass by pay-deadline, which again suggests an independent tool might make sense.
TagsNo tags attached.

Activities

Christian Grothoff

2017-10-16 19:01

manager   ~0012488

I've created a first exchangedb function to query for problematic deposits in 272f1135fca8bfd667dccc84f2bd6f31b7d2cc90

Christian Grothoff

2017-11-19 22:38

manager   ~0012586

Implemented in 92d616b..8f48db8, ought to do another test (will do as part of 0005177 testing, thus resolving here).

Issue History

Date Modified Username Field Change
2017-03-18 23:08 Christian Grothoff New Issue
2017-03-18 23:08 Christian Grothoff Status new => assigned
2017-03-18 23:08 Christian Grothoff Assigned To => Christian Grothoff
2017-03-18 23:13 Christian Grothoff Assigned To Christian Grothoff =>
2017-03-18 23:13 Christian Grothoff Status assigned => confirmed
2017-03-18 23:25 Christian Grothoff Target Version => 0.7
2017-04-09 00:09 Christian Grothoff Assigned To => Christian Grothoff
2017-04-09 00:09 Christian Grothoff Status confirmed => assigned
2017-10-16 19:01 Christian Grothoff Note Added: 0012488
2017-11-19 22:38 Christian Grothoff Note Added: 0012586
2017-11-19 22:38 Christian Grothoff Status assigned => resolved
2017-11-19 22:38 Christian Grothoff Resolution open => fixed
2017-11-19 22:38 Christian Grothoff Fixed in Version => 0.5
2017-11-19 22:38 Christian Grothoff Target Version 0.7 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed